### Class

# Gimp Brush

#### Description [src]

    final class Gimp.Brush : Gimp.Resource
      implements Gimp.ConfigInterface {
      /* No available fields */
    }

Installable object used by painting and stroking tools.

#### Ancestors

- GimpResource
- GObject

#### Implements

- GimpConfigInterface

#### Constructors

###### gimp_brush_new

Create a new generated brush having default parameters.

since: 2.2

#### Functions

###### gimp_brush_get_by_name

Returns the brush with the given name.

since: 3.0

#### Instance methods

###### gimp_brush_get_angle

Gets the rotation angle of a generated brush.

since: 2.4

###### gimp_brush_get_aspect_ratio

Gets the aspect ratio of a generated brush.

since: 2.4

###### gimp_brush_get_buffer

Gets pixel data of the brush within the bounding box specified by `max_width` and `max_height`. The data will be scaled down so that it fits within this size without changing its ratio. If the brush is smaller than this size to begin with, it will not be scaled up.

###### gimp_brush_get_hardness

Gets the hardness of a generated brush.

since: 2.4

###### gimp_brush_get_info

Gets information about the brush.

since: 2.2

###### gimp_brush_get_mask

Gets mask data of the brush within the bounding box specified by `max_width` and `max_height`. The data will be scaled down so that it fits within this size without changing its ratio. If the brush is smaller than this size to begin with, it will not be scaled up.

###### gimp_brush_get_radius

Gets the radius of a generated brush.

since: 2.4

###### gimp_brush_get_shape

Gets the shape of a generated brush.

since: 2.4

###### gimp_brush_get_spacing

Gets the brush spacing, the stamping frequency.

since: 2.2

###### gimp_brush_get_spikes

Gets the number of spikes for a generated brush.

since: 2.4

###### gimp_brush_is_generated

Whether the brush is generated (parametric versus raster).

since: 2.4

###### gimp_brush_set_angle

Sets the rotation angle of a generated brush.

since: 2.4

###### gimp_brush_set_aspect_ratio

Sets the aspect ratio of a generated brush.

since: 2.4

###### gimp_brush_set_hardness

Sets the hardness of a generated brush.

since: 2.4

###### gimp_brush_set_radius

Sets the radius of a generated brush.

since: 2.4

###### gimp_brush_set_shape

Sets the shape of a generated brush.

since: 2.4

###### gimp_brush_set_spacing

Sets the brush spacing.

since: 2.4

###### gimp_brush_set_spikes

Sets the number of spikes for a generated brush.

since: 2.4

##### Methods inherited from GimpResource (12)

###### gimp_resource_delete

Deletes a resource.

since: 3.0

###### gimp_resource_duplicate

Duplicates a resource.

since: 3.0

###### gimp_resource_get_id

mostly internal data and not reusable across sessions.

since: 3.0

###### gimp_resource_get_name

Returns the resource’s name.

since: 3.0

###### gimp_resource_is_brush

Returns whether the resource is a brush.

since: 3.0

###### gimp_resource_is_editable

Whether the resource can be edited.

since: 3.0

###### gimp_resource_is_font

Returns whether the resource is a font.

since: 3.0

###### gimp_resource_is_gradient

Returns whether the resource is a gradient.

since: 3.0

###### gimp_resource_is_palette

Returns whether the resource is a palette.

since: 3.0

###### gimp_resource_is_pattern

Returns whether the resource is a pattern.

since: 3.0

###### gimp_resource_is_valid

Returns TRUE if the resource is valid.

since: 3.0

###### gimp_resource_rename

Renames a resource. When the name is in use, renames to a unique name.

since: 3.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GimpResource (1)

###### Gimp.Resource:id

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpBrushClass {
      GimpResourceClass parent_class;

    }

No description available.

###### Class members

`parent_class: GimpResourceClass`

  No description available.